Subject: Re: win95 bash 19.1 crash
From: [email-masked] (Wade Richards @ Home)

8 May 1998 08:48:07 -0700
Message-ID: <[email-masked]>
Reply-To: "Wade Richards @ Home" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

From: Geoffrey S. Knauth <[email-masked]>

>If I do the following:
>    $ FILES=`find . -name '*.class'`
>and then:
>    $ tar cf foo.tar $FILES
>I get (from Win95):
>    an alert panel with a red X that says:
>    "This program has performed an illegal operation and will be shut
down.

Win95 has a fairly small limit on the max length of a command (including
the arguments).  I think it's 1K, but I don't have a Win95 machine around
to test it with.

Try the "--files-from" (or -T) option to tar, like
      find . -name '*.class > /tmp/$$-list
      tar cf foo.tar -T /tmp/$$-list
      rm /tmp/$$-list

    --- Wade

----------
Wade Richards    -= mailto:[email-masked] =-
"Never attribute to malice what can adequately be explained by stupidity."
Stop Internet Spam!  See http://www.cauce.org
-----Original Message-----
From: Geoffrey S. Knauth <[email-masked]>

>If I do the following:
>    $ FILES=`find . -name '*.class'`
>and then:
>    $ tar cf foo.tar $FILES
>I get (from Win95):
>    an alert panel with a red X that says:
>    "This program has performed an illegal operation and will be shut
>down.
>     Quit all programs, and then restart your computer.
>     If the problem persists, contact the program vendor."
>(What a piece of @#$%^ Windows is, n'est ce pas?)
>Anyway, when I click on Details, I get:
>    BASH caused a stack fault in model KERNEL32.DLL at
>014f:bff725c5.
>Registers:
>EAX=002a0037 CS=014f EIP=bff725c5 EFLGS=00000283
>EBX=fda79000 SS=0157 ESP=0258634a EBP=0258635e
>...
>
>
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".